Skip to main content
PUT
/
engajamento
/
permissoes
/
{id}
Adicionar/Editar permissões de uma bandeira
curl --request PUT \
  --url https://api-vendas.taximachine.com.br/api/v2/integracao/engajamento/permissoes/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "bandeira": {
    "bandeira_id": 144,
    "eventos": [
      "cadastro_passageiro_app",
      "estimativa_passageiro_app",
      "solicitacao_passageiro_app_abertura",
      "solicitacao_passageiro_app_finalizada"
    ]
  }
}
'
{
  "success": true,
  "data": [],
  "message": "Permissões de engajamento criadas com sucesso."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

api-key
string
header
required

Obrigatório. Sua chave API.

Path Parameters

id
integer
required

Id do webhook

Body

application/json
bandeira
object

Response

200 - application/json

Sucesso